package costo.kml2java.monitor.gui.basecomponents;

import costo.kml2java.framework.IProvidedService;
import costo.kml2java.framework.IService;

public class ServiceMonitoringInfo {
	
	IService serv;
	boolean window;
	boolean monitored;
	boolean paused;
	
	public ServiceMonitoringInfo(IProvidedService serv2, String servinfo) {
		this.serv=serv2;
		fromString(servinfo);
	}

	public String toString(){
		return serv.getName()+ " = "+ window+"#"+monitored+"#"+paused;
	}
	
	public IService getServ() {
		return serv;
	}

	public void setServ(IService serv) {
		this.serv = serv;
	}

	public boolean isWindow() {
		return window;
	}

	public void setWindow(boolean window) {
		this.window = window;
	}

	public boolean isMonitored() {
		return monitored;
	}

	public void setMonitored(boolean monitored) {
		this.monitored = monitored;
	}

	public boolean isPaused() {
		return paused;
	}

	public void setPaused(boolean paused) {
		this.paused = paused;
	}

	public void fromString(String values){
		String[] tab= values.split("#");
		window=tab[0].equals("true");
		monitored=tab[1].equals("true");
		monitored=tab[2].equals("true");
	}

}
